﻿using System;
using UnityEngine;

namespace FX
{
	// Token: 0x0200074D RID: 1869
	public class FX_TransformReset : MonoBehaviour
	{
		// Token: 0x06003006 RID: 12294 RVA: 0x00101AA8 File Offset: 0x00101AA8
		private void Start()
		{
			if (this._resetLocalPosition)
			{
				base.transform.localPosition = Vector3.zero;
			}
			if (this._resetLocalRotation)
			{
				base.transform.rotation = new Quaternion(0f, 0f, 0f, 0f);
			}
			if (this._resetLocalScale)
			{
				base.transform.localScale = Vector3.one;
			}
		}

		// Token: 0x06003007 RID: 12295 RVA: 0x00101B1C File Offset: 0x00101B1C
		private void LateUpdate()
		{
			if (this._setRotationWorldIdentity)
			{
				base.transform.rotation = Quaternion.identity;
			}
		}

		// Token: 0x040055BA RID: 21946
		[SerializeField]
		private bool _resetLocalPosition;

		// Token: 0x040055BB RID: 21947
		[SerializeField]
		private bool _resetLocalRotation;

		// Token: 0x040055BC RID: 21948
		[SerializeField]
		private bool _resetLocalScale;

		// Token: 0x040055BD RID: 21949
		[SerializeField]
		private bool _setRotationWorldIdentity;
	}
}
