﻿using System;
using UnityEngine;

namespace MU3
{
	// Token: 0x02000738 RID: 1848
	public class MotionEffectSimple : MotionEffectBase
	{
		// Token: 0x06002FAC RID: 12204 RVA: 0x000FE560 File Offset: 0x000FE560
		public void initialize(GameObject gameObject)
		{
			this._gameObject = gameObject;
			this._isGameObjectValid = (this._gameObject != null);
		}

		// Token: 0x06002FAD RID: 12205 RVA: 0x000FE57C File Offset: 0x000FE57C
		public override void destroy()
		{
			if (this._gameObject != null)
			{
				UnityEngine.Object.Destroy(this._gameObject);
			}
		}

		// Token: 0x06002FAE RID: 12206 RVA: 0x000FE59C File Offset: 0x000FE59C
		public override void start()
		{
		}

		// Token: 0x06002FAF RID: 12207 RVA: 0x000FE5A0 File Offset: 0x000FE5A0
		public override void stop()
		{
		}

		// Token: 0x06002FB0 RID: 12208 RVA: 0x000FE5A4 File Offset: 0x000FE5A4
		public override bool isFinished()
		{
			return true;
		}

		// Token: 0x06002FB1 RID: 12209 RVA: 0x000FE5A8 File Offset: 0x000FE5A8
		public override void setPosition(Vector3 position)
		{
			if (!this._isGameObjectValid)
			{
				return;
			}
			if (this._gameObject == null)
			{
				this._isGameObjectValid = false;
				return;
			}
			this._gameObject.transform.position = position;
		}

		// Token: 0x06002FB2 RID: 12210 RVA: 0x000FE5E0 File Offset: 0x000FE5E0
		public override void setRotation(Quaternion rotation)
		{
			if (!this._isGameObjectValid)
			{
				return;
			}
			if (this._gameObject == null)
			{
				this._isGameObjectValid = false;
				return;
			}
			this._gameObject.transform.rotation = rotation;
		}

		// Token: 0x04005535 RID: 21813
		private GameObject _gameObject;

		// Token: 0x04005536 RID: 21814
		private bool _isGameObjectValid;
	}
}
