﻿using System;
using UnityEngine;

namespace FX
{
	// Token: 0x02000759 RID: 1881
	public class FX_CopyMat_SetParam2 : MonoBehaviour
	{
		// Token: 0x06003027 RID: 12327 RVA: 0x00102408 File Offset: 0x00102408
		private void Start()
		{
			Renderer component = base.GetComponent<Renderer>();
			this._material = ((!(component != null)) ? null : component.material);
			this._propertyID_ValueName1 = Shader.PropertyToID(this.valueName1);
			this._propertyID_ValueName2 = Shader.PropertyToID(this.valueName2);
		}

		// Token: 0x06003028 RID: 12328 RVA: 0x0010245C File Offset: 0x0010245C
		private void Update()
		{
			if (this._material != null)
			{
				this._material.SetFloat(this._propertyID_ValueName1, this.value1);
				this._material.SetFloat(this._propertyID_ValueName2, this.value2);
			}
		}

		// Token: 0x040055F6 RID: 22006
		[SerializeField]
		private string valueName1 = "_Exposure";

		// Token: 0x040055F7 RID: 22007
		[SerializeField]
		private float value1;

		// Token: 0x040055F8 RID: 22008
		[SerializeField]
		private string valueName2 = "_Opacity";

		// Token: 0x040055F9 RID: 22009
		[SerializeField]
		private float value2;

		// Token: 0x040055FA RID: 22010
		private Material _material;

		// Token: 0x040055FB RID: 22011
		private int _propertyID_ValueName1;

		// Token: 0x040055FC RID: 22012
		private int _propertyID_ValueName2;
	}
}
