﻿using System;
using UnityEngine;

namespace FX
{
	// Token: 0x0200075A RID: 1882
	public class FX_CopyMat_SetParam3 : MonoBehaviour
	{
		// Token: 0x0600302A RID: 12330 RVA: 0x001024D4 File Offset: 0x001024D4
		private void Start()
		{
			Renderer component = base.GetComponent<Renderer>();
			this._material = ((!(component != null)) ? null : component.material);
			this._propertyID_ValueName1 = Shader.PropertyToID(this.valueName1);
			this._propertyID_ValueName2 = Shader.PropertyToID(this.valueName2);
			this._propertyID_ValueName3 = Shader.PropertyToID(this.valueName3);
		}

		// Token: 0x0600302B RID: 12331 RVA: 0x0010253C File Offset: 0x0010253C
		private void Update()
		{
			if (this._material != null)
			{
				this._material.SetFloat(this._propertyID_ValueName1, this.value1);
				this._material.SetFloat(this._propertyID_ValueName2, this.value2);
				this._material.SetFloat(this._propertyID_ValueName3, this.value3);
			}
		}

		// Token: 0x040055FD RID: 22013
		[SerializeField]
		private string valueName1 = "_Exposure";

		// Token: 0x040055FE RID: 22014
		[SerializeField]
		private float value1;

		// Token: 0x040055FF RID: 22015
		[SerializeField]
		private string valueName2 = "_Opacity";

		// Token: 0x04005600 RID: 22016
		[SerializeField]
		private float value2;

		// Token: 0x04005601 RID: 22017
		[SerializeField]
		private string valueName3 = string.Empty;

		// Token: 0x04005602 RID: 22018
		[SerializeField]
		private float value3;

		// Token: 0x04005603 RID: 22019
		private Material _material;

		// Token: 0x04005604 RID: 22020
		private int _propertyID_ValueName1;

		// Token: 0x04005605 RID: 22021
		private int _propertyID_ValueName2;

		// Token: 0x04005606 RID: 22022
		private int _propertyID_ValueName3;
	}
}
