﻿using System;
using UnityEngine;

namespace MU3
{
	// Token: 0x02000723 RID: 1827
	public class AutoPushToCache : MonoBehaviour
	{
		// Token: 0x06002F4A RID: 12106 RVA: 0x000FC540 File Offset: 0x000FC540
		private void OnEnable()
		{
			this.time_ = 0f;
		}

		// Token: 0x06002F4B RID: 12107 RVA: 0x000FC550 File Offset: 0x000FC550
		private void Update()
		{
			this.time_ += Time.deltaTime;
			if (this.duration_ <= this.time_)
			{
				if (this.objectCache_ == null)
				{
					UnityEngine.Object.Destroy(base.gameObject);
				}
				else
				{
					this.objectCache_.push(base.gameObject);
				}
			}
		}

		// Token: 0x040054C9 RID: 21705
		[SerializeField]
		private float duration_ = 2f;

		// Token: 0x040054CA RID: 21706
		public ObjectCache objectCache_;

		// Token: 0x040054CB RID: 21707
		private float time_;
	}
}
