﻿using System;
using UnityEngine;

namespace MU3
{
	// Token: 0x020004E1 RID: 1249
	public struct Plane
	{
		// Token: 0x06001EE0 RID: 7904 RVA: 0x000C3234 File Offset: 0x000C3234
		public Plane(float nx, float ny, float nz, float d)
		{
			this.normal_ = new Vector3(nx, ny, nz);
			this.d_ = d;
		}

		// Token: 0x06001EE1 RID: 7905 RVA: 0x000C324C File Offset: 0x000C324C
		public Plane(Vector3 point, Vector3 normal)
		{
			this.normal_ = normal;
			this.d_ = -Vector3.Dot(point, normal);
		}

		// Token: 0x06001EE2 RID: 7906 RVA: 0x000C3264 File Offset: 0x000C3264
		public float dot(float x, float y, float z)
		{
			return this.normal_.x * x + this.normal_.y * y + this.normal_.z * z + this.d_;
		}

		// Token: 0x06001EE3 RID: 7907 RVA: 0x000C3298 File Offset: 0x000C3298
		public float dot(Vector3 p)
		{
			return this.normal_.x * p.x + this.normal_.y * p.y + this.normal_.z * p.z + this.d_;
		}

		// Token: 0x040048F8 RID: 18680
		public Vector3 normal_;

		// Token: 0x040048F9 RID: 18681
		public float d_;
	}
}
